-- Replace DELETE_GOOD_ITEM dialog with the one-click DELETE_ITEM.
StaticPopupDialogs["DELETE_GOOD_ITEM"] = StaticPopupDialogs["DELETE_ITEM"]

-- Confirms BoP items on loot. Called by the LOOT_BIND_CONFIRM event from an
-- OnUpdate timer. LOOT_BIND_CONFIRM can fire multiple times, so a list is
-- made for confirm_loot() to process.
local bop_list = {}
local function confirm_loot()
	for slot in pairs(bop_list) do
		LootSlot(slot)
		ConfirmLootSlot(slot)
	end
	wipe(bop_list)
	StaticPopup_Hide("LOOT_BIND")
	self:SetScript("OnUpdate", nil)
end

function QBL.events:LOOT_BIND_CONFIRM(slot, ...)
	if not bop_list[slot] then
		bop_list[slot] = true
		StaticPopup_Hide("LOOT_BIND")
		-- Must wait a single OnUpdate to confirm loot.
		self:SetScript("OnUpdate", confirm_loot)
	end
end

function QBL.events:CONFIRM_DISENCHANT_ROLL(id, ...)
	ConfirmLootRoll(id, 3)
	StaticPopup_Hide("CONFIRM_LOOT_ROLL")
end

function QBL.events:CONFIRM_LOOT_ROLL(id, roll, ...)
	ConfirmLootRoll(id, roll)
	StaticPopup_Hide("CONFIRM_LOOT_ROLL")
end

-- Accept disenchant notices.
function QBL.events:SPELL_CONFIRMATION_PROMPT(id, ...)
	if QBL_cfg.confirm_de and id == 13262
	then AcceptSpellConfirmationPrompt(id) end
end

function QBL.events:MERCHANT_CONFIRM_TRADE_TIMER_REMOVAL(...)
	StaticPopup1Button1:Click()
end

QBL.startup["LOOT_BIND_CONFIRM"] = true
QBL.startup["CONFIRM_DISENCHANT_ROLL"] = true
QBL.startup["CONFIRM_LOOT_ROLL"] = true
QBL.startup["SPELL_CONFIRMATION_PROMPT"] = true
QBL.startup["MERCHANT_CONFIRM_TRADE_TIMER_REMOVAL"] = true